/*------------------------------------*\
  player
\*------------------------------------*/

.player {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100vw;
  height: 59px;
  background-color: $base-color;
  iframe {
    width: 100% !important;
    height: 100% !important;
    position: relative;
    z-index: 1;
  }
  &:not(.is-active) {display: none;}
}

.player-trigger {
  cursor: pointer;
}

.player__close {
  position: absolute;
  right: 0;
  bottom: 59px;
  display: inline-block;
  padding: $spacing-xxs $grid-gutter-width/2;
  background-color: $base-color;
  cursor: pointer;
  @extend .ts-label;
  color: $body-color;
}

.player__loading {
  @extend .ts-label;
  color: $body-color;
  position: absolute;
  top: $spacing-sm;
  left: $grid-gutter-width;
  span {
    animation-name: blink;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-fill-mode: both;
  }
  span:nth-child(2) {animation-delay: .2s;}
  span:nth-child(3) {animation-delay: .4s;}
}


@keyframes blink {
  0% {opacity: 0;}
  20% {opacity: 1;}
  100% {opacity: 0;}
}
